if [ -d /cygdrive/c/root/bin  ]; then \
   inode1=`ls -id /cygdrive/c/root/bin  | awk '{ print $1 }'`; \
fi; \
inode2=`ls -id $PWD/bin | awk '{ print $1 }'`; \
if ([ -d /cygdrive/c/root/bin  ] && [ "x$inode1" = "x$inode2" ]); then \
   echo "Everything already installed..."; \
else \
	   if [ "FALSE" = "FALSE" ] && [ -z "/cygdrive/c/root" ]; then \
		  echo "ROOTSYS not set, set it to a destination directory"; \
		  exit 1; \
	   fi; \
echo "Installing binaries in /cygdrive/c/root/bin "; \
mkdir -p                        /cygdrive/c/root/bin ; \
cp -dpR bin/*                 /cygdrive/c/root/bin ; \
echo "Installing libraries in /cygdrive/c/root/lib "; \
mkdir -p                        /cygdrive/c/root/lib ; \
cp -dpR lib/*                 /cygdrive/c/root/lib ; \
if [ x"win32" = x"win32gcc" ]; then \
  cp -dpR bin/*.dll             /cygdrive/c/root/bin ; \
  for f in /cygdrive/c/root/lib /*.dll; do \
	 bindll=`basename $f | sed 's,\..*$,,'`; \
	 bindll=`ls /cygdrive/c/root/bin /${bindll}.*dll`; \
	 ln -sf ${bindll} $f; \
  done; \
	   elif [ x"win32" = x"win32" ]; then \
  cp -dpR bin/gdk-1.3.dll             /cygdrive/c/root/bin ; \
  cp -dpR bin/glib-1.3.dll bin/iconv-1.3.dll            /cygdrive/c/root/bin ; \
fi; \
echo "Installing headers in /cygdrive/c/root/include "; \
mkdir -p                        /cygdrive/c/root/include ; \
cp -dpR include/*             /cygdrive/c/root/include ; \
echo "Installing /cygdrive/c/xps/root_src/v5-32-03-cygwin/main/src/rmain.cxx in /cygdrive/c/root/include "; \
cp -dpR /cygdrive/c/xps/root_src/v5-32-03-cygwin/main/src/rmain.cxx /cygdrive/c/root/include ; \
echo "Installing cint/cint/include cint/cint/lib and cint/cint/stl in /cygdrive/c/root/cint "; \
mkdir -p                        /cygdrive/c/root/cint/cint; \
cp -dpR cint/cint/include     /cygdrive/c/root/cint/cint; \
cp -dpR cint/cint/lib         /cygdrive/c/root/cint/cint; \
cp -dpR cint/cint/stl         /cygdrive/c/root/cint/cint; \
find /cygdrive/c/root/cint  -name CVS -exec rm -rf {} \; >/dev/null 2>&1; \
find /cygdrive/c/root/cint  -name .svn -exec rm -rf {} \; >/dev/null 2>&1; \
echo "Installing icons in /cygdrive/c/root/icons "; \
mkdir -p                        /cygdrive/c/root/icons ; \
cp -dpR icons/*.xpm           /cygdrive/c/root/icons ; \
cp -dpR icons/*.png           /cygdrive/c/root/icons ; \
cp -dpR icons/*.gif           /cygdrive/c/root/icons ; \
echo "Installing fonts in /cygdrive/c/root/fonts "; \
mkdir -p                        /cygdrive/c/root/fonts ; \
cp -dpR fonts/*               /cygdrive/c/root/fonts ; \
find /cygdrive/c/root/fonts  -name CVS -exec rm -rf {} \; >/dev/null 2>&1; \
find /cygdrive/c/root/fonts  -name .svn -exec rm -rf {} \; >/dev/null 2>&1; \
echo "Installing misc docs in /cygdrive/c/root "; \
mkdir -p                        /cygdrive/c/root ; \
cp -dpR LICENSE               /cygdrive/c/root ; \
cp -dpR README/*              /cygdrive/c/root ; \
find /cygdrive/c/root  -name CVS -exec rm -rf {} \; >/dev/null 2>&1; \
find /cygdrive/c/root  -name .svn -exec rm -rf {} \; >/dev/null 2>&1; \
echo "Installing tutorials in /cygdrive/c/root/tutorials "; \
mkdir -p                        /cygdrive/c/root/tutorials ; \
cp -dpR tutorials/*           /cygdrive/c/root/tutorials ; \
find /cygdrive/c/root/tutorials  -name CVS -exec rm -rf {} \; >/dev/null 2>&1; \
find /cygdrive/c/root/tutorials  -name .svn -exec rm -rf {} \; >/dev/null 2>&1; \
echo "Installing tests in /cygdrive/c/root/test "; \
mkdir -p                        /cygdrive/c/root/test ; \
cp -dpR test/*                /cygdrive/c/root/test ; \
find /cygdrive/c/root/test  -name CVS -exec rm -rf {} \; >/dev/null 2>&1; \
find /cygdrive/c/root/test  -name .svn -exec rm -rf {} \; >/dev/null 2>&1; \
echo "Installing macros in /cygdrive/c/root/macros "; \
mkdir -p                        /cygdrive/c/root/macros ; \
cp -dpR macros/*              /cygdrive/c/root/macros ; \
find /cygdrive/c/root/macros  -name CVS -exec rm -rf {} \; >/dev/null 2>&1; \
find /cygdrive/c/root/macros  -name .svn -exec rm -rf {} \; >/dev/null 2>&1; \
echo "Installing man(1) pages in /cygdrive/c/root/man/man1 "; \
mkdir -p                        /cygdrive/c/root/man/man1 ; \
cp -dpR man/man1/*            /cygdrive/c/root/man/man1 ; \
find /cygdrive/c/root/man/man1  -name CVS -exec rm -rf {} \; >/dev/null 2>&1; \
find /cygdrive/c/root/man/man1  -name .svn -exec rm -rf {} \; >/dev/null 2>&1; \
echo "Installing config files in /cygdrive/c/root/etc "; \
rm -f                                /cygdrive/c/root/etc /system.rootmap; \
mkdir -p                        /cygdrive/c/root/etc ; \
cp -dpR etc/*                 /cygdrive/c/root/etc ; \
find /cygdrive/c/root/etc  -name CVS -exec rm -rf {} \; >/dev/null 2>&1; \
find /cygdrive/c/root/etc  -name .svn -exec rm -rf {} \; >/dev/null 2>&1; \
echo "Installing Autoconf macro in /cygdrive/c/root/build/misc "; \
mkdir -p                        /cygdrive/c/root/build/misc ; \
cp -dpR /cygdrive/c/xps/root_src/v5-32-03-cygwin/build/misc/root.m4 /cygdrive/c/root/build/misc ; \
echo "Installing Emacs Lisp library in /cygdrive/c/root/build/misc "; \
mkdir -p                          /cygdrive/c/root/build/misc ; \
cp -dpR build/misc/root-help.el /cygdrive/c/root/build/misc ; \
echo "Installing GDML conversion scripts in /cygdrive/c/root/lib "; \
cp -dpR /cygdrive/c/xps/root_src/v5-32-03-cygwin/geom/gdml/*.py /cygdrive/c/root/lib ; \
find /cygdrive/c/root  -name CVS -exec rm -rf {} \; >/dev/null 2>&1; \
find /cygdrive/c/root  -name .svn -exec rm -rf {} \; >/dev/null 2>&1; \
fi
